=== debian/changelog ===
univention-dojo (13.0.1-2A~5.0.0.202012011747) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 01 Dec 2020 17:47:54 +0100

univention-dojo (13.0.1-2) unstable; urgency=medium

  * Bug #52453: UCS5 design - added patches to use umc/widgets/Icon
 

 -- Johannes Keiser <keiser@univention.de>  Tue, 01 Dec 2020 17:26:23 +0100

univention-dojo (13.0.1-1) unstable; urgency=medium

  * Bug #48963: upgrade dojo to 1.16.3

 -- Florian Best <best@univention.de>  Sat, 01 Aug 2020 03:18:44 +0200

univention-dojo (13.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:20 +0200

univention-dojo (12.0.0-3) unstable; urgency=low

  * Bug #49508: Change Java dependency to default-jre and Suggests

 -- Philipp Hahn <hahn@univention.de>  Mon, 03 Jun 2019 14:06:03 +0200

univention-dojo (12.0.0-2) unstable; urgency=medium

  * Bug #48812: add dompurify to dojo build

 -- Florian Best <best@univention.de>  Fri, 03 May 2019 12:42:28 +0200

univention-dojo (12.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:37 +0100

univention-dojo (11.0.1-3) unstable; urgency=medium

  * Bug #47997: Re-enable certificate check for wget in Makefile

 -- Ole Schwiegert <schwiegert@univention.de>  Wed, 07 Nov 2018 11:09:11 +0100

univention-dojo (11.0.1-2) unstable; urgency=medium

  * Bug #47997: Disable certificate check for wget in Makefile

 -- Ole Schwiegert <schwiegert@univention.de>  Wed, 07 Nov 2018 08:59:55 +0100

univention-dojo (11.0.1-1) unstable; urgency=medium

  * Bug #47997: Update to dojo version 1.12.4

 -- Ole Schwiegert <schwiegert@univention.de>  Tue, 06 Nov 2018 09:49:03 +0100

univention-dojo (11.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:25 +0100

univention-dojo (10.0.0-4) unstable; urgency=medium

  * Bug #44059: Center standby animation relative to viewport
  	for widgets that exceed the viewport

 -- Johannes Keiser <keiser@univention.de>  Fri, 24 Mar 2017 15:17:32 +0100

univention-dojo (10.0.0-3) unstable; urgency=medium

  * Bug #42291: Updated dojo 1.12.1 and xstyle 0.3.2 

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 31 Jan 2017 11:21:49 +0100

univention-dojo (10.0.0-2) unstable; urgency=medium

  * Bug #42291: Added/Updated dgrid and dstore 

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 19 Oct 2016 18:33:12 +0200

univention-dojo (10.0.0-1) unstable; urgency=medium

  * Bug #41963: UCS-4.2 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 12 Aug 2016 13:56:35 +0200

univention-dojo (9.0.1-2) unstable; urgency=medium

  * Bug #41224: fix an error in xstyle which prevents using xstyle with Chrome 51

 -- Florian Best <best@univention.de>  Wed, 11 May 2016 14:06:44 +0200

univention-dojo (9.0.1-1) unstable; urgency=medium

  * Bump version for UCS 4.1 (Bug #39729)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 03 Nov 2015 22:13:13 +0100

univention-dojo (8.0.3-5) unstable; urgency=medium

  * Change dependency to openjdk-7-jdk (Bug #39572)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 23 Oct 2015 16:34:29 +0200

univention-dojo (8.0.3-4) unstable; urgency=medium

  * Bug #38225: use CSS class dj_trident for IE11+

 -- Alexander Kläser <klaeser@univention.de>  Wed, 15 Apr 2015 16:57:02 +0200

univention-dojo (8.0.3-3) unstable; urgency=medium

  * Bug #38225: import patch for sniffing IE11

 -- Alexander Kläser <klaeser@univention.de>  Wed, 15 Apr 2015 12:06:50 +0200

univention-dojo (8.0.3-2) unstable; urgency=medium

  * Bug #38225: update Dojo version to 1.10.4

 -- Alexander Kläser <klaeser@univention.de>  Tue, 14 Apr 2015 12:24:21 +0200

univention-dojo (8.0.3-1) unstable; urgency=medium

  Bug #35654:
  * patch dijit/Dialog for optimized handling w.r.t. responsive design
  * update all packages to their latest versions

 -- Alexander Kläser <klaeser@univention.de>  Thu, 30 Oct 2014 11:25:12 +0100

univention-dojo (8.0.2-1) unstable; urgency=medium

  * Bug #35654: adjust handling of CSS classes for dijit/ProgressBar

 -- Alexander Kläser <klaeser@univention.de>  Tue, 21 Oct 2014 13:29:52 +0200

univention-dojo (8.0.1-1) unstable; urgency=medium

  * Bug #35654: add additional CSS classes to dijit/ProgressBar

 -- Alexander Kläser <klaeser@univention.de>  Tue, 21 Oct 2014 12:36:53 +0200

univention-dojo (8.0.0-3) unstable; urgency=low

  * Bug #35764: Included patch for debugging problems

 -- Alexander Kramer <kramer@univention.de>  Mon, 15 Sep 2014 08:15:58 +0200

univention-dojo (8.0.0-2) unstable; urgency=low

  * Bug #35764: Updated dojo to version 1.10

 -- Alexander Kramer <kramer@univention.de>  Fri, 12 Sep 2014 13:47:06 +0200

univention-dojo (8.0.0-1) unstable; urgency=low

  * Bug #35145: Start UCS 4.0 development

 -- Florian Best <best@univention.de>  Wed, 16 Jul 2014 09:47:38 +0200

univention-dojo (7.0.6-2) unstable; urgency=low

  * Bug #33990: update to Dojo 1.9.3

 -- Florian Best <best@univention.de>  Thu, 03 Apr 2014 11:09:56 +0200

univention-dojo (7.0.6-1) unstable; urgency=low

  * Bug #32972: imported new version of put-selector

 -- Alexander Kläser <klaeser@univention.de>  Wed, 23 Oct 2013 18:36:58 +0200

univention-dojo (7.0.5-1) unstable; urgency=low

  * Bug #32264: rename patch

 -- Florian Best <best@univention.de>  Thu, 10 Oct 2013 12:48:52 +0200

univention-dojo (7.0.4-1) unstable; urgency=low

  * Bug #32264: implement patch

 -- Florian Best <best@univention.de>  Thu, 10 Oct 2013 12:43:23 +0200

univention-dojo (7.0.3-1) unstable; urgency=low

  * Bug #31639: update to Dojo 1.9.1 and dgrid 0.3.9

 -- Alexander Kläser <klaeser@univention.de>  Thu, 15 Aug 2013 12:58:30 +0200

univention-dojo (7.0.2-1) unstable; urgency=low


