=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Dojo Package
 #  rules file for generating the deb package
 #
-# Copyright 2008-2020 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2008-2024 Univention GmbH
 #
 # https://www.univention.de/
 #
