## univention-dojo 15.0.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Dojo Package
 #  Makefile for building/installing the package
 #
-# Copyright 2008-2020 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2008-2024 Univention GmbH
 #
 # https://www.univention.de/
 #
