=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
  ca-certificates,
- debhelper,
+ debhelper-compat (=13),
  wget,
 Standards-Version: 3.7.2
