=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Dojo Package
#  rules file for generating the deb package
#
# SPDX-FileCopyrightText: 2008-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@
