=== debian/changelog ===
univention-dojo (15.4.2) unstable; urgency=medium

  * Bug #58843: add dgrid patch for auto loading of tree root

 -- Florian Best <best@univention.de>  Sat, 13 Dec 2025 12:21:38 +0100

univention-dojo (15.4.1) unstable; urgency=medium

  * Bug #58843: upgrade dojo libs

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 14:59:06 +0100
